Android - " Os dados de análise para android -21 falhou"

? warbi @ | Original: StackOverFlow
---

Teve o seguinte erro no Eclipse após instalar o Android 5.0 (SDK 21)

" Carregamento de dados para Android 5.0" encontrou um problema .

Analisando dados para android -21 falhou   sem suporte major.minor versão 51.0

---

Top 5 Responder

1warbi @

Tente instalar o JDK 1.8 e recarregar Eclipse.

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

2Amit P @

Inicialmente eu estava enfrentando o mesmo problema. Eu atualizado para JDK1.7 . Ainda emitir persistir. Isto é devido ao facto de algum tempo eclipse takees o SDK padrão como 1,6 . Para resolver esse problema:

Change the environmental path to point 1.7/1.8 Open Eclipse and goto windows tab-> preference Goto Java->complier and set Compiler compliance level to 1.7 and press apply. Then Goto Installed JRE Section. check if the installed jdk is listed and selected in the list. If not listed give the manual path using search. then select the jdk version and remove other versions in the list. in installed JRE go to execution environment and select the intended java se version and check it in compatible section Presss ok and restart Eclipse.

Isto deve resolver o problema.